Solid Edge Framework Type Library
AddOrRemoveItemsToOrFromProjects Method

This is two dimensional array.

  1. First column represent the item ID.
  2. Second column represents the Project IDs in which the given item is to be added. These project Ids will be separated by semi comma. 
  3. Third column represents the Project IDs from which the given item is to be removed. These project Ids will be separated by semi comma.
Description
Returns the projects for given ItemID.
Syntax
Visual Basic
Public Sub AddOrRemoveItemsToOrFromProjects( _
   ByRef pvarItemInfoToAddOrRemoveToProjects As Variant _
) 
Parameters
pvarItemInfoToAddOrRemoveToProjects

This is two dimensional array.

  1. First column represent the item ID.
  2. Second column represents the Project IDs in which the given item is to be added. These project Ids will be separated by semi comma. 
  3. Third column represents the Project IDs from which the given item is to be removed. These project Ids will be separated by semi comma.
Remarks
This API adds or removes the given items to or from the given projects.
Example
Private Sub Command1_Click()
    On Error Resume Next
    Dim objApplication As SolidEdgeFramework.Application
    Dim objSolidEdgeInsightXT  As SolidEdgeFramework.SolidEdgeInsightXT
    
    Set objApplication = GetObject(, "SolidEdge.Application")
    Set objSolidEdgeInsightXT = objApplication.SolidEdgeInsightXT

    Dim ItemInfoToAddOrRemoveToProjects(0, 2) As Variant

    ItemInfoToAddOrRemoveToProjects(0, 0) = "002359"
    ItemInfoToAddOrRemoveToProjects(0, 1) = "1987;1996;2000"
    ItemInfoToAddOrRemoveToProjects(0, 2) = "1983;1985"
    
    Call objSolidEdgeInsightXT.AddOrRemoveItemsToOrFromProjects(ItemInfoToAddOrRemoveToProjects)

    Set objSolidEdgeInsightXT = Nothing
    Set objApplication = Nothing
End Sub
See Also

SolidEdgeInsightXT Object  | SolidEdgeInsightXT Members  | Solid Edge ST4 - What's New